Package org.apache.ignite.internal.processors.platform.client.tx

## Interface ClientTxAwareRequest

All Known Implementing Classes:
  `ClientCacheClearKeyRequest`, `ClientCacheClearKeysRequest`, `ClientCacheContainsKeyRequest`, `ClientCacheContainsKeysRequest`, `ClientCacheGetAllRequest`, `ClientCacheGetAndPutIfAbsentRequest`, `ClientCacheGetAndPutRequest`, `ClientCacheGetAndRemoveRequest`, `ClientCacheGetAndReplaceRequest`, `ClientCacheGetRequest`, `ClientCacheGetSizeRequest`, `ClientCacheInvokeAllRequest`, `ClientCacheInvokeRequest`, `ClientCacheKeyRequest`, `ClientCacheKeysRequest`, `ClientCacheKeyValueRequest`, `ClientCacheLocalPeekRequest`, `ClientCachePutAllConflictRequest`, `ClientCachePutAllRequest`, `ClientCachePutIfAbsentRequest`, `ClientCachePutRequest`, `ClientCacheRemoveAllConflictRequest`, `ClientCacheRemoveIfEqualsRequest`, `ClientCacheRemoveKeyRequest`, `ClientCacheRemoveKeysRequest`, `ClientCacheReplaceIfEqualsRequest`, `ClientCacheReplaceRequest`, `ClientCacheScanQueryRequest`, `ClientCacheSqlFieldsQueryRequest`, `ClientCacheSqlQueryRequest`

    public interface ClientTxAwareRequest

Interface for transaction aware requests.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isTransactional()` Request was made under transaction.
`int` `txId()` Gets transaction ID.

### Method Detail

#### txId

    int txId()

Gets transaction ID.

#### isTransactional

    boolean isTransactional()

Request was made under transaction.